/* Defaulter Header File */

#include "ECOA.h"
#include "philosopher.h"

void default_ECOA__boolean8(ECOA__boolean8 *ptr);
void default_ECOA__int8(ECOA__int8 *ptr);
void default_ECOA__char8(ECOA__char8 *ptr);
void default_ECOA__byte(ECOA__byte *ptr);
void default_ECOA__int16(ECOA__int16 *ptr);
void default_ECOA__int32(ECOA__int32 *ptr);
#if defined(ECOA_64BIT_SUPPORT)
void default_ECOA__int64(ECOA__int64 *ptr);
#endif
void default_ECOA__uint8(ECOA__uint8 *ptr);
void default_ECOA__uint16(ECOA__uint16 *ptr);
void default_ECOA__uint32(ECOA__uint32 *ptr);
#if defined(ECOA_64BIT_SUPPORT)
void default_ECOA__uint64(ECOA__uint64 *ptr);
#endif
void default_ECOA__float32(ECOA__float32 *ptr);
void default_ECOA__double64(ECOA__double64 *ptr);
void default_ECOA__return_status(ECOA__return_status *ptr);
void default_ECOA__hr_time(ECOA__hr_time *ptr);
void default_ECOA__global_time(ECOA__global_time *ptr);
void default_ECOA__duration(ECOA__duration *ptr);
void default_ECOA__timestamp(ECOA__timestamp *ptr);
void default_ECOA__log(ECOA__log *ptr);
void default_ECOA__module_states_type(ECOA__module_states_type *ptr);
void default_ECOA__module_error_type(ECOA__module_error_type *ptr);
void default_ECOA__error_id(ECOA__error_id *ptr);
void default_ECOA__error_type(ECOA__error_type *ptr);
void default_ECOA__asset_id(ECOA__asset_id *ptr);
void default_ECOA__asset_type(ECOA__asset_type *ptr);
void default_ECOA__recovery_action_type(ECOA__recovery_action_type *ptr);
void default_philosopher__State(philosopher__State *ptr);
